Bug 600317 - rpmlint gives warning with 'LDPL' license
Summary: rpmlint gives warning with 'LDPL' license
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-04 12:40 UTC by Shreyank Gupta
Modified: 2010-07-01 18:54 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-07-01 18:47:19 UTC


Attachments (Terms of Use)

Description Shreyank Gupta 2010-06-04 12:40:48 UTC
Description of problem:
Putting LDPL as license in specfile gives a invalid-license warning.

Version-Release number of selected component (if applicable):
0.97

How reproducible:
Always

Steps to Reproduce:
1. Put LDPL in the license section of a specfile.
2. Do rpmbuild -ba on the specfile
3. rpmlint on the genarated RPM
  
Actual results:

W: invalid-license LDPL

Expected results:

No warning

Additional info:
Refer to this thread:
http://lists.fedoraproject.org/pipermail/legal/2010-June/001290.html

Comment 1 Mamoru TASAKA 2010-06-04 14:07:56 UTC
("LDPL" was newly added to Licensing wiki:
 http://fedoraproject.org/wiki/Licensing  - currently in outage?
 I expect that rpmlint will update license list in next update)

Comment 2 Ville Skyttä 2010-06-04 19:36:18 UTC
(In reply to comment #1)
>  I expect that rpmlint will update license list in next update

That's right.

Comment 3 Fedora Update System 2010-06-23 19:53:29 UTC
rpmlint-0.98-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpmlint-0.98-1.fc13

Comment 4 Fedora Update System 2010-06-23 19:54:01 UTC
rpmlint-0.98-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.98-1.fc12

Comment 5 Fedora Update System 2010-06-24 16:23:51 UTC
rpmlint-0.98-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rpmlint-0.98-1.fc13

Comment 6 Fedora Update System 2010-07-01 18:47:04 UTC
rpmlint-0.98-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-07-01 18:54:15 UTC
rpmlint-0.98-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.